Open Lighting Architecture: ola::plugin::usbdmx::SyncPluginImpl Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::SyncPluginImpl Class Reference

## Detailed Description

The legacy implementation.

This implementation spawns a thread for each dongle, and then uses synchronous calls to libusb.

This does not support hotplug.

Inheritance diagram for ola::plugin::usbdmx::SyncPluginImpl:

## Public Member Functions
| SyncPluginImpl (PluginAdaptor *plugin_adaptor, Plugin *plugin, unsigned int debug_level, Preferences *preferences)
| Create a new SyncPluginImpl.
bool | Start ()
| Start the implementation.
bool | Stop ()
| Stop the implementation.
bool | NewWidget (class AnymauDMX *widget)
| Called when a new AnymauDMX is added.
bool | NewWidget (class DMXCProjectsNodleU1 *widget)
| Called when a new DMXCProjects Nodle U1 widget is added.
bool | NewWidget (class EurolitePro *widget)
| Called when a new EurolitePro is added.
bool | NewWidget (ola::usb::JaRuleWidget *widget)
| Called when a new Ja Rule widget is added.
bool | NewWidget (class ScanlimeFadecandy *widget)
| Called when a new ScanlimeFadecandy is added.
bool | NewWidget (class Sunlite *widget)
| Called when a new Sunlite is added.
bool | NewWidget (class VellemanK8062 *widget)
| Called when a new VellemanK8062 is added.
void | WidgetRemoved (class AnymauDMX *widget)
void | WidgetRemoved (class DMXCProjectsNodleU1 *widget)
void | WidgetRemoved (class EurolitePro *widget)
void | WidgetRemoved (ola::usb::JaRuleWidget *widget)
void | WidgetRemoved (class ScanlimeFadecandy *widget)
void | WidgetRemoved (class Sunlite *widget)
void | WidgetRemoved (class VellemanK8062 *widget)

## Constructor & Destructor Documentation

## ◆ SyncPluginImpl()

ola::plugin::usbdmx::SyncPluginImpl::SyncPluginImpl | ( | PluginAdaptor * | plugin_adaptor,
|  | Plugin * | plugin,
|  | unsigned int | debug_level,
|  | Preferences * | preferences )

Create a new SyncPluginImpl.

Parameters

  plugin_adaptor | The PluginAdaptor to use, ownership is not transferred.
  plugin | The parent Plugin object which is used when creating devices.
  debug_level | the debug level to use for libusb.
  preferences | The Preferences container used by the plugin

## Member Function Documentation

## ◆ NewWidget() [1/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | class AnymauDMX * | widget | ) |
| virtual

Called when a new AnymauDMX is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [2/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | class DMXCProjectsNodleU1 * | widget | ) |
| virtual

Called when a new DMXCProjects Nodle U1 widget is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [3/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | class EurolitePro * | widget | ) |
| virtual

Called when a new EurolitePro is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [4/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | class ScanlimeFadecandy * | widget | ) |
| virtual

Called when a new ScanlimeFadecandy is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [5/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | class Sunlite * | widget | ) |
| virtual

Called when a new Sunlite is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [6/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | class VellemanK8062 * | widget | ) |
| virtual

Called when a new VellemanK8062 is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ NewWidget() [7/7]

bool ola::plugin::usbdmx::SyncPluginImpl::NewWidget | ( | ola::usb::JaRuleWidget * | widget | ) |
| virtual

Called when a new Ja Rule widget is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implements ola::plugin::usbdmx::WidgetObserver.

## ◆ Start()

bool ola::plugin::usbdmx::SyncPluginImpl::Start | ( |  | ) |
| virtual

Start the implementation.

Returns
  true if successful, false otherwise.

Implements ola::plugin::usbdmx::PluginImplInterface.

## ◆ Stop()

bool ola::plugin::usbdmx::SyncPluginImpl::Stop | ( |  | ) |
| virtual

Stop the implementation.

Returns
  true if successful, false otherwise.

Implements ola::plugin::usbdmx::PluginImplInterface.

The documentation for this class was generated from the following files:

- plugins/usbdmx/SyncPluginImpl.h
- plugins/usbdmx/SyncPluginImpl.cpp